Console Output

Started by upstream project "CE_RM_SPaircraft_Push" build number 742
originally caused by:
 Started by GitHub push by bqpd
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on windows10x64 in workspace C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt
No credentials specified
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/SPaircraft
 > C:\Program Files\Git\cmd\git init C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt # timeout=10
Fetching upstream changes from https://github.com/convexengineering/SPaircraft
 > C:\Program Files\Git\cmd\git --version # timeout=10
 > C:\Program Files\Git\cmd\git fetch --tags --progress -- https://github.com/convexengineering/SPaircraft +refs/heads/*:refs/remotes/origin/* # timeout=10
 > C:\Program Files\Git\cmd\git config remote.origin.url https://github.com/convexengineering/SPaircraft # timeout=10
 > C:\Program Files\Git\cmd\git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > C:\Program Files\Git\cmd\git config remote.origin.url https://github.com/convexengineering/SPaircraft # timeout=10
Fetching upstream changes from https://github.com/convexengineering/SPaircraft
 > C:\Program Files\Git\cmd\git fetch --tags --progress -- https://github.com/convexengineering/SPaircraft +refs/heads/*:refs/remotes/origin/* # timeout=10
Checking out Revision 4570b244005341644d9371b6d5ea8775cd39d96e (refs/remotes/origin/master)
 > C:\Program Files\Git\cmd\git config core.sparsecheckout # timeout=10
 > C:\Program Files\Git\cmd\git checkout -f 4570b244005341644d9371b6d5ea8775cd39d96e # timeout=3
Commit message: "preparing for convexengineering/gpkit#1463"
 > C:\Program Files\Git\cmd\git rev-list --no-walk 766d5a6d88ffc27d7632aced762d9a46f89367aa # timeout=10
Run condition [Execution node ] enabling prebuild for step [Execute shell]
Run condition [Execution node ] enabling prebuild for step [Execute Windows batch command]
[Execution node] check if [windows10x64] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] preventing perform for step [Execute shell]
[Execution node] check if [windows10x64] is in [[windows10x64, windows7x64]]
Run condition [Execution node ] enabling perform for step [Execute Windows batch command]
[cvxopt] $ cmd /c call C:\Users\jenkins\AppData\Local\Temp\jenkins975145264815051046.bat

C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>echo C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH\;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps 
C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH\;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps

C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM turn on the anaconda console 

C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>call activate.bat 

(base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>if 0 NEQ 0 goto activate_conda 

(base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM Create a virtualenv to install everything into 

(base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set VENV=C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit 

(base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>virtualenv --system-site-packages C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit    || exit /b 666 
New python executable in C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\Scripts\python.exe
Installing setuptools, pip, wheel...done.

(base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>call C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\Scripts\activate.bat   || exit /b 666 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set PATH=C:\mingw-w64\x86_64-6.4.0-posix-seh-rt_v5-rev0\mingw64\bin;C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\Scripts;C:\Anaconda2;C:\Anaconda2\Library\mingw-w64\bin;C:\Anaconda2\Library\usr\bin;C:\Anaconda2\Library\bin;C:\Anaconda2\Scripts;C:\Anaconda2\bin;C:\Anaconda2\condabin;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM set PATH=C:\mingw-w64\x86_64-7.3.0-posix-seh-rt_v5-rev0\mingw64\bin;C:\mingw-w64\x86_64-6.4.0-posix-seh-rt_v5-rev0\mingw64\bin;C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\Scripts;C:\Anaconda2;C:\Anaconda2\Library\mingw-w64\bin;C:\Anaconda2\Library\usr\bin;C:\Anaconda2\Library\bin;C:\Anaconda2\Scripts;C:\Anaconda2\bin;C:\Anaconda2\condabin;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\ProgramData\Oracle\Java\javapath;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0;C:\Anaconda2;C:\Anaconda2\Scripts;C:\Anaconda2\Library\bin;C:\Program Files\Mosek\8\tools\platform\win64x86\bin;C:\Program Files (x86)\Intel\Compiler\Fortran\9.1\EM64T\Bin;C:\WINDOWS\System32\OpenSSH;C:\Program Files\Git\bin;C:\Program Files\TortoiseSVN\bin;C:\Program Files\Mosek\9.1\tools\platform\win64x86\bin;C:\Users\jenkins\AppData\Local\Microsoft\WindowsApps 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>gcc --version   || exit /b 666 
gcc (x86_64-posix-seh-rev0, Built by MinGW-W64 project) 6.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM upgrade pip 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>python -m pip install --upgrade pip   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: pip in c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt\venv2_gpkit\lib\site-packages (20.0.2)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM Install coverage into the virtualenv to the coverage command blow uses the virtualenv python 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade coverage   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: coverage in c:\anaconda2\lib\site-packages (5.0.3)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set GPKITBUILD=C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\build_gpkit 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>if cvxopt == mosek (
msktestlic   || exit /b 666  
 python -c "__import__('mosek').Env()"   || exit /b 666  
 set GPKITSOLVERS=mosek, mosek_cli 
) 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>if cvxopt == cvxopt (
pip install --upgrade cvxopt   || exit /b 666  
 set GPKITSOLVERS=cvxopt 
) 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: cvxopt in c:\anaconda2\lib\site-packages (1.2.4)
Requirement already satisfied, skipping upgrade: mkl in c:\anaconda2\lib\site-packages (from cvxopt) (2018.0.0)
Requirement already satisfied, skipping upgrade: intel-openmp==2018.0.0 in c:\anaconda2\lib\site-packages (from mkl->cvxopt) (2018.0.0)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM Install packages needed for testing 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade xmlrunner   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: xmlrunner in c:\anaconda2\lib\site-packages (1.7.7)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade pint   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: pint in c:\anaconda2\lib\site-packages (0.9)
Requirement already satisfied, skipping upgrade: funcsigs; python_version == "2.7" in c:\anaconda2\lib\site-packages (from pint) (1.0.2)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade numpy   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: numpy in c:\anaconda2\lib\site-packages (1.16.6)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade scipy   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: scipy in c:\anaconda2\lib\site-packages (1.2.3)
Requirement already satisfied, skipping upgrade: numpy>=1.8.2 in c:\anaconda2\lib\site-packages (from scipy) (1.16.6)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade ctypesgen   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: ctypesgen in c:\anaconda2\lib\site-packages (1.0.2)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --upgrade future   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing c:\users\jenkins\appdata\local\pip\cache\wheels\5f\11\0c\aad680baf5ef4fbcbab992c9f03e1130357e0c173a4fdabfff\future-0.18.2-py2-none-any.whl
Installing collected packages: future
  Attempting uninstall: future
    Found existing installation: future 0.17.1
    Not uninstalling future at c:\anaconda2\lib\site-packages, outside environment c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt\venv2_gpkit
    Can't uninstall 'future'. No files were found to uninstall.
Successfully installed future-0.18.2

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>if cvxopt == cvxopt python -c "import cvxopt; print cvxopt.__version__" 
1.2.4

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>python -c "import scipy; print scipy.__version__"   || exit /b 666 
1.2.3

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>python -c "import numpy; print numpy.__version__"   || exit /b 666 
1.16.6

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>python -c "import pint; print pint.__version__"   || exit /b 666 
0.9
C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\lib\site-packages\pkg_resources\py2_warn.py:19: UserWarning: ************************************************************
You are running Setuptools on Python 2, which is no longer
supported and
>>> SETUPTOOLS WILL STOP WORKING <<<
in a subsequent release. Please ensure you are installing
Setuptools using pip 9.x or later or pin to `setuptools<45`
in your environment.
If you have done those things and are still encountering
this message, please comment in
https://github.com/pypa/setuptools/issues/1458
about the steps that led to this unsupported combination.
************************************************************
  sys.version_info < (3,) and warnings.warn("*" * 60 + msg + "*" * 60)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>git --version 
git version 2.16.2.windows.1

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>git clone --depth 1 https://github.com/convexengineering/gpkit.git C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\gpkit   || exit /b 666 
Cloning into 'C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\gpkit'...

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>pip install --no-cache-dir --no-deps -e C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\gpkit   || exit /b 666 
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Obtaining file:///C:/Users/jenkins/workspace/CE_RM_SPaircraft_Push/cvxopt/gpkit
Installing collected packages: gpkit
  Running setup.py develop for gpkit
Successfully installed gpkit

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM python -c "from gpkit.build import rebuild; rebuild()" 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM type C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\gpkit\gpkit\env\settings 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM dir C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\build_gpkit 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>python -c "import gpkit; print gpkit.__version__"   || exit /b 666 
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\lib\site-packages\pkg_resources\py2_warn.py:19: UserWarning: ************************************************************
You are running Setuptools on Python 2, which is no longer
supported and
>>> SETUPTOOLS WILL STOP WORKING <<<
in a subsequent release. Please ensure you are installing
Setuptools using pip 9.x or later or pin to `setuptools<45`
in your environment.
If you have done those things and are still encountering
this message, please comment in
https://github.com/pypa/setuptools/issues/1458
about the steps that led to this unsupported combination.
************************************************************
  sys.version_info < (3,) and warnings.warn("*" * 60 + msg + "*" * 60)
...........................................................................................................................................................................................Found no installed solvers, beginning a build.
# Moving to the directory from which GPkit was imported.
Started building gpkit...

Attempting to find and build solvers:

# Looking for mosek
#     Found C:\Program Files\Mosek\8\tools\platform\win64x86\h\mosek.h
#     Found C:\Program Files\Mosek\8\tools\platform\win64x86\bin\mosek64_8_0.dll
#     Found C:\Program Files\Mosek\8\tools\examples\c\scopt-ext.c
#     Found C:\Program Files\Mosek\8\tools\examples\c\expopt.c
#     Found C:\Program Files\Mosek\8\tools\examples\c\dgopt.c
#     Found C:\Program Files\Mosek\8\tools\examples\c\scopt-ext.h
#     Found C:\Program Files\Mosek\8\tools\examples\c\expopt.h
#     Found C:\Program Files\Mosek\8\tools\examples\c\dgopt.h
#     Found C:\Program Files\Mosek\8\tools\platform\win64x86\h\mosek.h
# Found mosek version 8, installed to C:\Program Files\Mosek
#
# Building mosek...
#     Replacing directory _mosek\build
#     Replacing directory C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\build_gpkit
#
#   Copying expopt library files to _mosek\build
#     Copying C:\Program Files\Mosek\8\tools\examples\c\scopt-ext.c
#     Copying C:\Program Files\Mosek\8\tools\examples\c\expopt.c
#     Copying C:\Program Files\Mosek\8\tools\examples\c\dgopt.c
#     Copying C:\Program Files\Mosek\8\tools\examples\c\scopt-ext.h
#     Copying C:\Program Files\Mosek\8\tools\examples\c\expopt.h
#     Copying C:\Program Files\Mosek\8\tools\examples\c\dgopt.h
#     Copying C:\Program Files\Mosek\8\tools\platform\win64x86\h\mosek.h
#
#   Applying expopt patches...
#
#     Change in _mosek\build\dgopt.con line 653
#     --         printf("Number of Hessian non-zeros: %d\n",nlh[0]->numhesnz);
#     ++ MSK_echotask(task,MSK_STREAM_MSG,"Number of Hessian non-zeros: %d\n",n
#
#     Change in _mosek\build\expopt.con line 566
#     --         printf("Warning: The variable with index '%d' has only positiv
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "Warning: The variable with in
#
#     Change in _mosek\build\expopt.con line 579
#     --         printf("Warning: The variable with index '%d' has only negativ
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "Warning: The variable with in
#
#     Change in _mosek\build\expopt.con line 1115
#     --     printf ("solsta = %d, prosta = %d\n", (int)*solsta,(int)*prosta);
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "solsta = %d, prosta = %d\n", 
#
#   Building expopt library...
#     Calling 'gcc -fpic -shared -Wl,--export-all-symbols,-R "C:\Program Files\Mosek\8\tools\platform\win64x86\bin"    _mosek\build\scopt-ext.c _mosek\build\expopt.c _mosek\build\dgopt.c   "C:\Program Files\Mosek\8\tools\platform\win64x86\bin\mosek64_8_0.dll" -o C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\build_gpkit\expopt.so'
##
### CALL BEGINS
### CALL ENDS
##
# Done building mosek
# Looking for mosek_cli
#   Trying to run mskexpopt...
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Found mosek_cli in system path
# Looking for mosek_conif
#   Trying to import mosek...
# Found mosek_conif in Python path
# Looking for cvxopt
#   Trying to import cvxopt...
# Found cvxopt in Python path
...finished building gpkit.
Replaced found solvers ([u'mosek', u'mosek_cli', u'mosek_conif', u'cvxopt']) with environment var GPKITSOLVERS (cvxopt)

Found the following solvers: cvxopt
#     Replacing directory env
x[:] <= w

GPkit is now installed with solver(s) [u'cvxopt']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplib
----------------------------------------------------------------------
Ran 187 tests in 7.139s

OK
rary/)
to be useful resources for your own applications.

Enjoy!

0.9.1

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM Limit number of threads that be can used 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set MSK_IPAR_NUM_THREADS=2 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set MKL_NUM_THREADS=2 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set NUMEXPR_NUM_THREADS=2 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set OPENBLAS_NUM_THREADS=2 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>set OMP_NUM_THREADS=2 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>python -c "from gpkit.tests.test_repo import test_repo; test_repo(xmloutput=True)"   || exit /b 666 
Cloning into 'gplibrary'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Obtaining file:///C:/Users/jenkins/workspace/CE_RM_SPaircraft_Push/cvxopt/gplibrary
Installing collected packages: gpkitmodels
  Running setup.py develop for gpkitmodels
Successfully installed gpkitmodels
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/turbofan.git
  Cloning https://github.com/hoburg/turbofan.git to c:\users\jenkins\appdata\local\temp\pip-req-build-ttmsxd
  Running command git clone -q https://github.com/hoburg/turbofan.git 'c:\users\jenkins\appdata\local\temp\pip-req-build-ttmsxd'
Requirement already satisfied: numpy in c:\anaconda2\lib\site-packages (from turbofan==0.0.0.0) (1.16.6)
Requirement already satisfied: scipy in c:\anaconda2\lib\site-packages (from turbofan==0.0.0.0) (1.2.3)
Requirement already satisfied: pint in c:\anaconda2\lib\site-packages (from turbofan==0.0.0.0) (0.9)
Requirement already satisfied: future in c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt\venv2_gpkit\lib\site-packages (from turbofan==0.0.0.0) (0.18.2)
Requirement already satisfied: funcsigs; python_version == "2.7" in c:\anaconda2\lib\site-packages (from pint->turbofan==0.0.0.0) (1.0.2)
Building wheels for collected packages: turbofan
  Building wheel for turbofan (setup.py): started
  Building wheel for turbofan (setup.py): finished with status 'done'
  Created wheel for turbofan: filename=turbofan-0.0.0.0-py2-none-any.whl size=44168 sha256=2525977cf663733b1121224852eefd866068a3300a6b841aa0954b85fb30c2cc
  Stored in directory: c:\users\jenkins\appdata\local\temp\pip-ephem-wheel-cache-iklwx8\wheels\34\7c\7a\a758c9685b687833f9b72e058098baffb318d56f272d9f08db
Successfully built turbofan
Installing collected packages: turbofan
Successfully installed turbofan-0.0.0.0
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt
Requirement already satisfied: turbofan in c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt\venv2_gpkit\lib\site-packages (from SPaircraft==0.0.0) (0.0.0.0)
Requirement already satisfied: gpkit in c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt\gpkit (from SPaircraft==0.0.0) (0.9.1.0)
Requirement already satisfied: future in c:\users\jenkins\workspace\ce_rm_spaircraft_push\cvxopt\venv2_gpkit\lib\site-packages (from SPaircraft==0.0.0) (0.18.2)
Requirement already satisfied: numpy in c:\anaconda2\lib\site-packages (from turbofan->SPaircraft==0.0.0) (1.16.6)
Requirement already satisfied: pint in c:\anaconda2\lib\site-packages (from turbofan->SPaircraft==0.0.0) (0.9)
Requirement already satisfied: scipy in c:\anaconda2\lib\site-packages (from turbofan->SPaircraft==0.0.0) (1.2.3)
Requirement already satisfied: ad in c:\anaconda2\lib\site-packages (from gpkit->SPaircraft==0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in c:\anaconda2\lib\site-packages (from gpkit->SPaircraft==0.0.0) (1.2.4)
Requirement already satisfied: six in c:\anaconda2\lib\site-packages (from gpkit->SPaircraft==0.0.0) (1.12.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in c:\anaconda2\lib\site-packages (from pint->turbofan->SPaircraft==0.0.0) (1.0.2)
Requirement already satisfied: mkl in c:\anaconda2\lib\site-packages (from cvxopt>=1.1.8->gpkit->SPaircraft==0.0.0) (2018.0.0)
Requirement already satisfied: intel-openmp==2018.0.0 in c:\anaconda2\lib\site-packages (from mkl->cvxopt>=1.1.8->gpkit->SPaircraft==0.0.0) (2018.0.0)
Building wheels for collected packages: SPaircraft
  Building wheel for SPaircraft (setup.py): started
  Building wheel for SPaircraft (setup.py): finished with status 'done'
  Created wheel for SPaircraft: filename=SPaircraft-0.0.0-py2-none-any.whl size=1862 sha256=3581d5480a1a52db5acd4637ba053efc9d0953450bc06e0b8fc5a143c1ec69ba
  Stored in directory: c:\users\jenkins\appdata\local\temp\pip-ephem-wheel-cache-1mq0bc\wheels\78\9f\dd\2c917e768509feb5c7c23100776043f9fd31bf5889931f2b55
Successfully built SPaircraft
Installing collected packages: SPaircraft
Successfully installed SPaircraft-0.0.0
adding test for 'SPaircraft.py'
C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\lib\site-packages\pkg_resources\py2_warn.py:19: UserWarning: ************************************************************
You are running Setuptools on Python 2, which is no longer
supported and
>>> SETUPTOOLS WILL STOP WORKING <<<
in a subsequent release. Please ensure you are installing
Setuptools using pip 9.x or later or pin to `setuptools<45`
in your environment.
If you have done those things and are still encountering
this message, please comment in
https://github.com/pypa/setuptools/issues/1458
about the steps that led to this unsupported combination.
************************************************************
  sys.version_info < (3,) and warnings.warn("*" * 60 + msg + "*" * 60)

Running tests...
----------------------------------------------------------------------
.
----------------------------------------------------------------------
Ran 1 test in 0.000s

OK

Generating XML reports...

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'mosek_conif, cvxopt', 'pip install': 'git+https://github.com/hoburg/turbofan.git', 'gpkit-models branch': 'master'})

calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gplibrary.git']
  attempt 1
calling ['pip', 'install', '--no-cache-dir', '--no-deps', '-e', 'gplibrary']
  attempt 1
calling ['pip', 'install', 'git+https://github.com/hoburg/turbofan.git']
  attempt 1
calling ['pip', 'install', '.']
  attempt 1
C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt\venv2_gpkit\lib\site-packages\pkg_resources\py2_warn.py:19: UserWarning: ************************************************************
You are running Setuptools on Python 2, which is no longer
supported and
>>> SETUPTOOLS WILL STOP WORKING <<<
in a subsequent release. Please ensure you are installing
Setuptools using pip 9.x or later or pin to `setuptools<45`
in your environment.
If you have done those things and are still encountering
this message, please comment in
https://github.com/pypa/setuptools/issues/1458
about the steps that led to this unsupported combination.
************************************************************
  sys.version_info < (3,) and warnings.warn("*" * 60 + msg + "*" * 60)

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM echo "from gpkit.tests.test_repo import test_repo; test_repo(xmloutput=True)" > jenkins_test.py || exit /b 666 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM coverage run --append --source=. jenkins_test.py || exit /b 666 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>REM coverage html -d htmlcov --omit=gpkit/*,gpkit-models/*,venv2_gpkit/*,jenkins_test.py || exit /b 666 

(venv2_gpkit) (base) C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt>exit 0 
INFO: Starting to record.
INFO: Processing JUnit
INFO: [JUnit] - 1 test report file(s) were found with the pattern '**/test_reports/*.xml' relative to 'C:\Users\jenkins\workspace\CE_RM_SPaircraft_Push\cvxopt' for the testing framework 'JUnit'.
INFO: Check 'Failed Tests' threshold.
INFO: Check 'Skipped Tests' threshold.
INFO: Setting the build status to SUCCESS
INFO: Stopping recording.
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: SUCCESS